:root {
    --blue-1: #2b456d;
    --blue-2: #5f88c7;
    --blue-3: #bddceb;
    --blue-4: #f0f6fa;
    --red-1: #d43e22;
    --sans: "Space Grotesk", "Segoe UI", "Helvetica Neue", Arial, sans-serif;
}

@font-face {
    font-family: "Poppins ExtraBold";
    src: url("../fonts/Poppins/Poppins-ExtraBold-DKZDSUN.ttf") format("truetype");
}

@font-face {
    font-family: "Poppins SemiBold";
    src: url("../fonts/Poppins/Poppins-SemiBold-u6Y9fHz.ttf") format("truetype");
}

@font-face {
    font-family: "Poppins Regular";
    src: url("../fonts/Poppins/Poppins-Regular-hBRJlB7.ttf") format("truetype");
}

@font-face {
    font-family: "Poppins Medium";
    src: url("../fonts/Poppins/Poppins-Medium-swBHwia.ttf") format("truetype");
}

@font-face {
    font-family: "Poppins Black";
    src: url("../fonts/Poppins/Poppins-Black-Xgvp2wq.ttf") format("truetype");
}

html {
  -webkit-text-size-adjust: 100%;
  text-size-adjust: 100%;
}

h1 {
    font-family: Helvetica, sans-serif;
    font-weight: bold;
    color: var(--blue-1);
}

body {
    font-family: Helvetica, var(--sans);
    background:
        url("../img/shapes/shape-1-obT64m6.svg") top left / 550px auto no-repeat,
        var(--blue-4);
}

header {
    height: 80px;
}

.content {
    position: relative;
    overflow: hidden;
    margin: 100px;
    margin-bottom: 0;
    min-height: 700px;
    background:
        url("../img/shapes/shape-1-light-DHXSwju.svg") top -100px left -100px / 550px auto no-repeat,
        url("../img/shapes/shape-2-LlJ-FYq.svg") top right / auto no-repeat,
        url("../img/shapes/plain-light-R2_SjXt.svg") top 2200px left / 10000px no-repeat,
        white;
    border-radius: 8px;
}

.logo {
    position: absolute;
    left: 15px;
    font-size: 24px;
    font-weight: bold;
    color: var(--blue-1);
    text-align: end;
}

.logo:has(div[content-locale="fr"]) {
    font-size: 23px;
    text-align: end;
}

.samstag-button {
    position: absolute;
    left: 50%;
    top: 25px;
    transform: translate(-50%);
    align-content: center;
    text-align: center;
    text-decoration: none;
    height: 50px;
    padding: 0 30px;
    background-color: var(--blue-3);
    font-family: "Helvetica",var(--sans);
    font-weight: bold;
    font-size: 14pt;
    color: var(--red-1);
    border-radius: 25px;
}

.nav-bar {
    margin-left: 360px;
}

nav.pages .mobile-language-nav {
    display: none;
}

nav.languages {
    display: flex;
    position: absolute;
    flex-direction: column;
    align-items: center;
    margin-block: 35px;
    right: 100px;
}

nav.languages ul {
    display: flex;
    margin: 0;
}

.nav-bar nav,
nav.languages {
    background: none;
    box-shadow: none;
    user-select: none;
}

.nav-bar nav.pages > ul,
nav.languages > ul {
    align-items: flex-end;
    gap: 28px;
    padding: 0;
}

.nav-bar nav.pages li > ul {
    background-color: var(--blue-2);
    border: none;
}

.nav-bar nav a,
.nav-bar nav .nav-link {
    font-size: 16px;
    color: var(--blue-1);
    text-transform: uppercase;
    font-weight: 100;
    text-wrap: nowrap;
    font-family: "Poppins SemiBold";
}

.nav-bar nav .nav-category {
    cursor: default;
}

.nav-bar nav .nav-category {
    cursor: default;
}

.nav-bar nav a:not(.active):is(:hover, :focus),
.nav-bar nav .nav-link:not(.active):is(:hover, :focus),
nav .nav-link:focus,
.nav-bar nav li.has-subpages:has(ul:hover) > .nav-link,
nav.languages a:not(.active):is(:hover, :focus) {
    background: none;
}

.nav-bar nav a.active,
.nav-bar nav .nav-link.active {
    text-decoration: none;
    color: var(--blue-2);
    font-family: "Poppins ExtraBold";
}

.nav-bar nav.pages li > ul li a {
    color: white;
}

.nav-bar nav.pages li > ul li a.active {
    color: var(--blue-1);
    font-family: "Poppins SemiBold";
}

.nav-bar nav li.has-subpages a:not(.active):is(:hover, :focus) {
    color: var(--blue-4);
}

nav.languages a {
    color: var(--blue-2);
    text-transform: uppercase;
    font-family: "Poppins Medium";
}

nav.languages a.active {
    text-decoration: none;
    color: var(--blue-1);
}

nav a, nav .nav-link {
    padding: 0;
}

.nav-bar .nav-home {
    display: none;
}

/* .nav-bar .nav-home a {
    height: 25px;
    margin-bottom: 5px;
}

.nav-bar .nav-home a::before {
    content: "";
    display: inline-block;
    width: 25px;
    height: 25px;

    background-color: var(--blue-1);

    -webkit-mask-image: url("../img/icons/home.svg");
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-size: contain;
    -webkit-mask-position: center;

    mask-image: url("../img/icons/home.svg");
    mask-repeat: no-repeat;
    mask-size: contain;
    mask-position: center;

    transition: background-color 0.2s ease;
} */

.nav-bar .nav-home a.active::before {
    background-color: var(--blue-2);
}

.menu-toogle {
    display: none;
}

main {
    display: flex;
    justify-content: space-between;
    background: transparent;
    margin-inline: 110px;
    min-height: 700px;
    padding: 0;
    width: auto;
    box-shadow: none;
    border: none;
}

main .body-content {
    width: 60%;
    margin-top: 45px;
    padding: 25px;
    height: auto;
    background-color: #ffffffb8;
    border-radius: 8px;
    font-size: 14pt;
}

main .body-content a,
main .body-content span[data-type="mail"] {
    color: var(--blue-2);
    font-weight: bold;
    text-decoration: none;
    cursor: pointer;
}

main .image {
    width: 400px;
    height: auto;
    margin: 50px;
}

main .image img {
    width: 100%;
    height: auto;
    border-radius: 40px;
}

main .home-content {
    padding: 50px;
}

.body-content .address-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    grid-gap: 25px;
}

.body-content .address-container:has(.editmode) {
    column-gap: 70px;
}

.body-content .address-container .address-cell {
    display: flex;
    flex-direction: row;
    gap: 12px;
}

.body-content .address-container .address-cell .editable-content {
    width: 100%;
}

.body-content .gav-texte-table {
    border-collapse: separate;
    border-spacing: 12px;
}

.footer-bar {
    background-color: transparent;
    box-shadow: none;
    border: none;
}

footer {
    align-items: center;
}

.footer-content {
    flex-direction: column;
    gap: 12px;
}

.footer-bar a,
.footer-bar span[data-type="mail"] {
    color: var(--text-muted);
    text-decoration: underline;
    font-weight: bold;
    cursor: pointer;
}

@media (max-width: 1500px) {
    .menu-toogle {
        display: block;
        position: absolute;
        top: 5px;
        right: 5px;
    }
    
    nav.languages {
        display: none;
    }

    nav.pages .mobile-language-nav {
        display: flex;
    }
    
    .nav-bar {
        display: block;
        visibility: hidden;
        opacity: 0;
        transition: opacity 0.3s ease;
    }

    .nav-bar.active {
        visibility: visible;
        opacity: 1;
        /* width: fit-content; */
        width: 40%;
        margin: 0;
        background: var(--blue-2);
        position: absolute;
        top: 60px;
        right: 5px;
        border-radius: 18px;
    }

    .nav-bar .nav-home {
        display: unset;
    }

    .nav-bar nav.pages {
        padding: 0;
    }

    .nav-bar nav.pages > ul {
        flex-direction: column;
        align-items: flex-start;
        padding-block: 20px;
        gap: 16px;
    }

    .nav-bar nav.pages > ul > li {
        width: 100%;
    }
    
    .nav-bar nav.pages li > a {
        display: inline-block;
        width: 100%;
        padding-left: 30px;
        color: white;
        border-radius: 0;
    }

    .nav-bar nav.pages li > a:not(.active):is(:hover, :focus) {
        background-color: white;
        color: var(--blue-1);
    }

    .nav-bar nav a.active, .nav-bar nav .nav-link.active {
        color: var(--blue-1);
    }

    .nav-bar nav.pages > ul > li.has-subpages {
        display: block;
    }

    .nav-bar nav.pages > ul > li.has-subpages > span {
        display: block;
        width: 100%;
        padding-left: 30px;
        color: white;
        cursor: pointer;
    }

    .nav-bar nav.pages > ul > li.has-subpages::before {
        content: "❯";
        display: inline-block;
        margin-right: 10px;
        position: absolute;
        left: 10px;
        font-weight: bold;
        color: white;
        transition: transform 0.2s ease;
        transform: rotate(0deg);
        top: 1px;
    }

    .nav-bar nav.pages > ul > li.has-subpages.active::before {
        transform: rotate(90deg);
    }

    .nav-bar nav.pages > ul > li.has-subpages > ul {
        max-height: 0;
        padding: 0;
        padding-top: 6px;
        position: initial;
        border-radius: 0;
        box-shadow: none;
        transition: max-height 0.3s ease, opacity 0.3s ease, padding 0.3s ease;
    }

    .nav-bar nav.pages > ul > li.has-subpages.active > ul {
        max-height: 150px;
        /* padding-block: 12px; */
        visibility: visible;
        opacity: 1;
    }

    .nav-bar nav.pages > ul > li.has-subpages > ul > li > a {
        padding-left: 50px;
    }
}

@media (max-width: 1425px) {
    main .body-content {
        width: 75%;
    }

    main .image {
        margin-right: 0;
    }
}

@media (max-width: 1250px) {
    main {
        margin-inline: 60px;
    }

    .nav-bar.active {
        width: 45%;
    }
}

@media (max-width: 1100px) {
    main {
        flex-direction: column;
        margin: 60px;
        margin-bottom: 30px;
    }

    main .body-content {
        width: 100%;
        margin: 0;
        order: 2;
    }

    main .image {
        width: auto;
        margin-inline: auto;
        margin-bottom: 30px;
        max-width: 350px;
    }
}

@media (max-width: 1000px) {
    nav.languages {
        display: none;
    }

    nav.pages .mobile-language-nav {
        display: flex;
    }
}

@media (max-width: 850px) {
    .nav-bar.active {
        width: 65%;
    }
}

@media (max-width: 650px) {
    .content {
        margin-inline: 40px;
        background:
            url("../img/shapes/shape-1-light-DHXSwju.svg") top -100px left -40px / 550px auto no-repeat,
            url("../img/shapes/shape-2-LlJ-FYq.svg") top right / auto no-repeat,
            url("../img/shapes/plain-light-R2_SjXt.svg") top 2200px left / 10000px no-repeat,
            white;
    }
    
    main {
        margin-top: 0px;
        margin-inline: 20px;
    }

    main .body-content {
        padding: 0;
        padding-inline: 20px;
    }
    
    main .home-content {
        padding: 0;
    }
}

@media (max-width: 650px) {
    .logo {
        font-size: 20px;
        text-align: start;
    }
    
    .nav-bar.active {
        width: 95%;
        right: 5px;
    }
}


@media (max-width: 450px) {
    .logo {
        font-size: 18px;
    }

    h1 {
        font-size: 25px;
    }

    .body-content {
        overflow-wrap: break-word;
    }

}